"""Tests for cb parser application.
Run: py.test rates/tests.py """
import re
import requests


def test_smoke():
    """Use regexp to check web page content."""
    res = requests.get("http://localhost/")
    pattern = r"^data: {('[A-Z]{3}': '\d+,\d+',?\s?)+}<br><br>updated on \d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}.\d{6}$"
    assert re.match(re.compile(pattern), res.content.decode("utf-8"))
