#!/bin/sh

collect_static() {
    python3 manage.py collectstatic --noinput
}

run_gunicorn(){
    gunicorn mysite.wsgi --bind 0.0.0.0:8000
 }

run_celery() {
    celery -A mysite worker -l info -B
}

collect_static && run_celery&

run_gunicorn