from django.http import HttpResponse
import redis
from .tasks import parse_cb


def index(request):
    r = redis.StrictRedis(host="redis", port=6379, db=0)
    try:
        data = r.get("result").decode()
        last_time = r.get("time").decode()
    except AttributeError:
        parse_cb.delay()
        return HttpResponse("Service is not available.")
    return HttpResponse("data: {}<br><br>updated on {}".format(data, last_time))
